org.bouncycastle.jce.provider.test

## Class PKCS12StoreTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.jce.provider.test.PKCS12StoreTest

All Implemented Interfaces:
  Test

    public class PKCS12StoreTest
    extends SimpleTest

Exercise the various key stores, making sure we at least get back what we put in!

This tests both the PKCS12 key store.

### Constructor Summary

Constructors
Constructor and Description
`PKCS12StoreTest()`

### Method Summary

Methods
`java.security.cert.Certificate` `createCert(java.security.PublicKey pubKey, java.security.PrivateKey privKey, java.lang.String issuerEmail, java.lang.String subjectEmail)` we generate a self signed certificate for the sake of testing - RSA
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`
`void` `testPKCS12Store()`

### Methods inherited from class org.bouncycastle.util.test.SimpleTest

`areEqual, fail, fail, fail, perform, runTest, runTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PKCS12StoreTest

    public PKCS12StoreTest()

### Method Detail

#### createCert

    public java.security.cert.Certificate createCert(java.security.PublicKey pubKey,
                                            java.security.PrivateKey privKey,
                                            java.lang.String issuerEmail,
                                            java.lang.String subjectEmail)
                                              throws java.lang.Exception

we generate a self signed certificate for the sake of testing - RSA

Throws:
  `java.lang.Exception`

#### testPKCS12Store

    public void testPKCS12Store()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Test`
Specified by:
  `getName` in class `SimpleTest`

#### performTest

    public void performTest()
                     throws java.lang.Exception

Specified by:
  `performTest` in class `SimpleTest`
Throws:
  `java.lang.Exception`

#### main

    public static void main(java.lang.String[] args)